layout_anaconda() {
    local ACTIVATE="${HOME}/miniconda3/bin/activate"

    if [ -n "$1" ]; then
        # Explicit environment name from layout command.
        local env_name="$1"
        source $ACTIVATE ${env_name}
    elif (grep -q name: environment.yml); then
        # Detect environment name from `environment.yml` file in `.envrc` directory
        source $ACTIVATE $(grep name: environment.yml | sed -e 's/name: //' | cut -d "'" -f 2 | cut -d '"' -f 2)
    else
        (echo >&2 No environment specified)
        exit 1
    fi
}
layout anaconda py39
dotenv
# So we can run scripts from top level and in sub directories
export PYTHONPATH="$PWD"
# https://docs.python.org/3/library/devmode.html
export PYTHONDEVMODE="1"
export PYTHONUNBUFFERED="1"

